Last modified: 2011-05-23 15:21:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18002 - Typing tags in CodeReview should auto-suggest current tags
Typing tags in CodeReview should auto-suggest current tags
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CodeReview (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 14:39 UTC by Chad H.
Modified: 2011-05-23 15:21 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chad H. 2009-03-16 14:39:26 UTC
It would be nice if when typing a tag the box would suggest similar ones, so it's easier to find and use existing tags.
Comment 1 Brion Vibber 2009-08-22 17:53:21 UTC
If we don't already, we should probably make sure we've got a clean client-side interface for "make this field, whatever it is, auto-completable via OpenSearch suggestion data from this given URL", allowing us to extend autocomplete to other fields by supplying an API interface for the lookups and slapping a class on the <input>.
Comment 2 Roan Kattouw 2009-08-23 16:01:51 UTC
(In reply to comment #1)
> If we don't already, we should probably make sure we've got a clean client-side
> interface for "make this field, whatever it is, auto-completable via OpenSearch
> suggestion data from this given URL", allowing us to extend autocomplete to
> other fields by supplying an API interface for the lookups and slapping a class
> on the <input>.
> 

I did this about a week ago in r55234.
Comment 3 Sam Reed (reedy) 2011-05-22 19:35:19 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > If we don't already, we should probably make sure we've got a clean client-side
> > interface for "make this field, whatever it is, auto-completable via OpenSearch
> > suggestion data from this given URL", allowing us to extend autocomplete to
> > other fields by supplying an API interface for the lookups and slapping a class
> > on the <input>.
> > 
> 
> I did this about a week ago in r55234.

This looks to have now been merged into core?

What exactly is needed API wise to do the backend changes for this? I'm guessing it's essentially just outputting list of results based on the typed input...
Comment 4 Roan Kattouw 2011-05-23 15:10:45 UTC
This is already implemented in ext.codeReview.js , marking FIXED.
Comment 5 Sam Reed (reedy) 2011-05-23 15:21:24 UTC
Lol, so it is

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links